<SOLVED> RSSOwl Failed to install.

Questions about applications and software
Forum rules
Before you post please read this

<SOLVED> RSSOwl Failed to install.

Postby Shadowcat64 on Tue Jan 07, 2014 11:24 am

I tried to install RSSOwl so that I could compare it to Liferea. I could not find RSSOwl through the software manager, so I did a quick search to see how to install it. I came to this page: http://linuxg.net/how-to-install-rssowl ... -15-14-13/ I followed the instructions, but I got the result
Code: Select all
N: Ignoring file 'getdeb.list.bck' in directory '/etc/apt/sources.list.d/' as it has an invalid filename extension
E: Unable to locate package rssowl
I am using the cinnamon edition of Linux Mint 16 Petra, if that makes any difference.
Here are the steps that I followed and the results:
Code: Select all
$  sudo wget -c http://archive.getdeb.net/install_deb/getdeb-repository_0.1-1~getdeb1_all.deb
--2014-01-07 10:13:14--  http://archive.getdeb.net/install_deb/getdeb-repository_0.1-1~getdeb1_all.deb
Resolving archive.getdeb.net (archive.getdeb.net)... 144.76.200.19
Connecting to archive.getdeb.net (archive.getdeb.net)|144.76.200.19|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 2380 (2.3K) [application/x-debian-package]
Saving to: ‘getdeb-repository_0.1-1~getdeb1_all.deb’

100%[======================================>] 2,380       --.-K/s   in 0s     

2014-01-07 10:13:14 (142 MB/s) - ‘getdeb-repository_0.1-1~getdeb1_all.deb’ saved [2380/2380]
$ sudo dpkg -i getdeb-repository_0.1-1~getdeb1_all.deb
Selecting previously unselected package getdeb-repository.
(Reading database ... 160068 files and directories currently installed.)
Unpacking getdeb-repository (from getdeb-repository_0.1-1~getdeb1_all.deb) ...
Setting up getdeb-repository (0.1-1~getdeb1) ...
--2014-01-07 10:13:32--  http://archive.getdeb.net/getdeb-archive.key
Resolving archive.getdeb.net (archive.getdeb.net)... 144.76.200.19
Connecting to archive.getdeb.net (archive.getdeb.net)|144.76.200.19|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 1682 (1.6K) [application/pgp-keys]
Saving to: ‘STDOUT’

100%[======================================>] 1,682       --.-K/s   in 0s     

2014-01-07 10:13:32 (104 MB/s) - written to stdout [1682/1682]

OK
sudo apt-get update
Ign http://packages.linuxmint.com petra InRelease
Ign http://extra.linuxmint.com petra InRelease                                 
Ign http://security.ubuntu.com saucy-security InRelease                       
Ign http://archive.ubuntu.com saucy InRelease                                 
Ign http://archive.canonical.com saucy InRelease                               
Get:1 http://packages.linuxmint.com petra Release.gpg [198 B]                 
Get:2 http://extra.linuxmint.com petra Release.gpg [198 B]                     
Get:3 http://security.ubuntu.com saucy-security Release.gpg [933 B]           
Get:4 http://packages.linuxmint.com petra Release [18.5 kB]                   
Get:5 http://extra.linuxmint.com petra Release [3,090 B]                       
Ign http://archive.ubuntu.com saucy-updates InRelease                         
Hit http://archive.canonical.com saucy Release.gpg                             
Get:6 http://security.ubuntu.com saucy-security Release [49.6 kB]             
Get:7 http://extra.linuxmint.com petra/main amd64 Packages [655 B]             
Hit http://archive.ubuntu.com saucy Release.gpg                               
Hit http://archive.canonical.com saucy Release                                 
Get:8 http://packages.linuxmint.com petra/main amd64 Packages [29.3 kB]       
Ign http://archive.getdeb.net petra-getdeb InRelease                           
Get:9 http://extra.linuxmint.com petra/main i386 Packages [655 B]             
Get:10 http://archive.ubuntu.com saucy-updates Release.gpg [933 B]             
Hit http://archive.canonical.com saucy/partner amd64 Packages                 
Hit http://archive.ubuntu.com saucy Release                                   
Hit http://archive.canonical.com saucy/partner i386 Packages                   
Ign http://archive.getdeb.net petra-getdeb Release.gpg                         
Get:11 http://archive.ubuntu.com saucy-updates Release [49.6 kB]               
Get:12 http://security.ubuntu.com saucy-security/main amd64 Packages [62.4 kB]
Ign http://archive.getdeb.net petra-getdeb Release                             
Get:13 http://packages.linuxmint.com petra/upstream amd64 Packages [23.3 kB]   
Hit http://archive.ubuntu.com saucy/main amd64 Packages                       
Get:14 http://security.ubuntu.com saucy-security/restricted amd64 Packages [14 B]
Hit http://archive.ubuntu.com saucy/restricted amd64 Packages                 
Get:15 http://security.ubuntu.com saucy-security/universe amd64 Packages [24.1 kB]
Get:16 http://packages.linuxmint.com petra/import amd64 Packages [40.1 kB]     
Hit http://archive.ubuntu.com saucy/universe amd64 Packages                   
Ign http://extra.linuxmint.com petra/main Translation-en_US                   
Get:17 http://security.ubuntu.com saucy-security/multiverse amd64 Packages [1,149 B]
Ign http://extra.linuxmint.com petra/main Translation-en                       
Hit http://archive.ubuntu.com saucy/multiverse amd64 Packages                 
Get:18 http://security.ubuntu.com saucy-security/main i386 Packages [62.1 kB] 
Hit http://archive.ubuntu.com saucy/main i386 Packages                         
Hit http://archive.ubuntu.com saucy/restricted i386 Packages                   
Ign http://archive.canonical.com saucy/partner Translation-en_US               
Hit http://archive.ubuntu.com saucy/universe i386 Packages                     
Ign http://archive.canonical.com saucy/partner Translation-en                 
Get:19 http://security.ubuntu.com saucy-security/restricted i386 Packages [14 B]
Hit http://archive.ubuntu.com saucy/multiverse i386 Packages                   
Get:20 http://packages.linuxmint.com petra/main i386 Packages [28.7 kB]       
Get:21 http://security.ubuntu.com saucy-security/universe i386 Packages [24.4 kB]
Get:22 http://security.ubuntu.com saucy-security/multiverse i386 Packages [1,388 B]
Hit http://archive.ubuntu.com saucy/main Translation-en                       
Get:23 http://packages.linuxmint.com petra/upstream i386 Packages [23.3 kB]   
Hit http://security.ubuntu.com saucy-security/main Translation-en             
Get:24 http://packages.linuxmint.com petra/import i386 Packages [40.5 kB]     
Hit http://security.ubuntu.com saucy-security/multiverse Translation-en       
Hit http://archive.ubuntu.com saucy/multiverse Translation-en                 
Hit http://archive.ubuntu.com saucy/restricted Translation-en                 
Hit http://security.ubuntu.com saucy-security/restricted Translation-en       
Hit http://archive.ubuntu.com saucy/universe Translation-en                   
Hit http://security.ubuntu.com saucy-security/universe Translation-en         
Get:25 http://archive.ubuntu.com saucy-updates/main amd64 Packages [178 kB]   
Err http://archive.getdeb.net petra-getdeb/apps amd64 Packages                 
  404  Not Found [IP: 141.101.116.236 80]
Err http://archive.getdeb.net petra-getdeb/apps i386 Packages                 
  404  Not Found [IP: 141.101.116.236 80]
Ign http://archive.getdeb.net petra-getdeb/apps Translation-en_US             
Ign http://archive.getdeb.net petra-getdeb/apps Translation-en                 
Get:26 http://archive.ubuntu.com saucy-updates/restricted amd64 Packages [14 B]
Get:27 http://archive.ubuntu.com saucy-updates/universe amd64 Packages [122 kB]
Ign http://security.ubuntu.com saucy-security/main Translation-en_US           
Get:28 http://archive.ubuntu.com saucy-updates/multiverse amd64 Packages [1,566 B]
Ign http://security.ubuntu.com saucy-security/multiverse Translation-en_US     
Get:29 http://archive.ubuntu.com saucy-updates/main i386 Packages [177 kB]
Ign http://security.ubuntu.com saucy-security/restricted Translation-en_US     
Ign http://security.ubuntu.com saucy-security/universe Translation-en_US       
Ign http://packages.linuxmint.com petra/import Translation-en_US
Ign http://packages.linuxmint.com petra/import Translation-en
Ign http://packages.linuxmint.com petra/main Translation-en_US         
Get:30 http://archive.ubuntu.com saucy-updates/restricted i386 Packages [14 B]
Get:31 http://archive.ubuntu.com saucy-updates/universe i386 Packages [122 kB]
Ign http://packages.linuxmint.com petra/main Translation-en                   
Get:32 http://archive.ubuntu.com saucy-updates/multiverse i386 Packages [1,776 B]
Ign http://packages.linuxmint.com petra/upstream Translation-en_US     
Ign http://packages.linuxmint.com petra/upstream Translation-en
Hit http://archive.ubuntu.com saucy-updates/main Translation-en
Hit http://archive.ubuntu.com saucy-updates/multiverse Translation-en
Hit http://archive.ubuntu.com saucy-updates/restricted Translation-en
Hit http://archive.ubuntu.com saucy-updates/universe Translation-en
Ign http://archive.ubuntu.com saucy/main Translation-en_US                     
Ign http://archive.ubuntu.com saucy/multiverse Translation-en_US               
Ign http://archive.ubuntu.com saucy/restricted Translation-en_US               
Ign http://archive.ubuntu.com saucy/universe Translation-en_US                 
Ign http://archive.ubuntu.com saucy-updates/main Translation-en_US             
Ign http://archive.ubuntu.com saucy-updates/multiverse Translation-en_US       
Ign http://archive.ubuntu.com saucy-updates/restricted Translation-en_US       
Ign http://archive.ubuntu.com saucy-updates/universe Translation-en_US         
Fetched 1,087 kB in 8s (133 kB/s)                                             
N: Ignoring file 'getdeb.list.bck' in directory '/etc/apt/sources.list.d/' as it has an invalid filename extension
W: Failed to fetch http://archive.getdeb.net/ubuntu/dists/petra-getdeb/apps/binary-amd64/Packages  404  Not Found [IP: 141.101.116.236 80]

W: Failed to fetch http://archive.getdeb.net/ubuntu/dists/petra-getdeb/apps/binary-i386/Packages  404  Not Found [IP: 141.101.116.236 80]

E: Some index files failed to download. They have been ignored, or old ones used instead.
sudo apt-get install rssowl
Reading package lists... Done
Building dependency tree       
Reading state information... Done
N: Ignoring file 'getdeb.list.bck' in directory '/etc/apt/sources.list.d/' as it has an invalid filename extension
E: Unable to locate package rssowl

And, now, when I tried to use the update manager, I got the following response:
Ignoring file 'getdeb.list.bck' in directory '/etc/apt/sources.list.d/' as it has an invalid filename extensionFailed to fetch http://archive.getdeb.net/ubuntu/dists/ ... 4/Packages 404 Not Found [IP: 141.101.116.236 80]
Failed to fetch http://archive.getdeb.net/ubuntu/dists/ ... 6/Packages 404 Not Found [IP: 141.101.116.236 80]
Some index files failed to download. They have been ignored, or old ones used instead.
Last edited by Shadowcat64 on Fri Jan 10, 2014 12:26 pm, edited 1 time in total.
Shadowcat64
Level 1
Level 1
 
Posts: 3
Joined: Tue Dec 24, 2013 11:46 pm

Linux Mint is funded by ads and donations.
 

Re: RSSOwl Failed to install.

Postby grizzler on Tue Jan 07, 2014 5:25 pm

The package provided by getdeb.net only works correctly on Ubuntu. If you use it on anything else, it looks for a non-existent repository. In this case it thinks 'petra' is the name of a release, but that's Mint. You need the corresponding Ubuntu release, 'saucy'.

Also, it copies any existing getdeb.list file in /etc/apt/sources.list.d/ as getdeb.list.bck which is bloody stupid, because that causes an error each time your system tries to use the list files (copying it as getdeb.list~ - i.e. with a tilde - would have prevented that).

How to fix this mess? Go to /etc/apt/sources.list.d/ with a file manager started with gksudo, i.e. press Alt+F2 and enter
Code: Select all
gksudo nemo /etc/apt/sources.list.d

delete the file called getdeb.list.bck, load the file getdeb.list in an editor and change the reference to petra to saucy, i.e. make it look like this:
Code: Select all
deb http://archive.getdeb.net/ubuntu saucy-getdeb apps

Save the file and try again.
grizzler
Level 4
Level 4
 
Posts: 399
Joined: Wed Jun 15, 2011 5:19 pm
Location: The Hague, NL

Re: RSSOwl Failed to install.

Postby Shadowcat64 on Thu Jan 09, 2014 5:45 pm

Thank you! I am able to update using package manager again. Are there any other problems that are likely to crop up, or has this more or less set me back to where I was.
Shadowcat64
Level 1
Level 1
 
Posts: 3
Joined: Tue Dec 24, 2013 11:46 pm

Re: RSSOwl Failed to install.

Postby grizzler on Fri Jan 10, 2014 10:44 am

As far as I can tell this was the only thing that getdeb package messed up.
grizzler
Level 4
Level 4
 
Posts: 399
Joined: Wed Jun 15, 2011 5:19 pm
Location: The Hague, NL


Return to Software & Applications

Who is online

Users browsing this forum: ALF13, Bing [Bot] and 13 guests